Author Topic: vla-addhatch message "Hatch boundary associativity removed."  (Read 1587 times)

0 Members and 1 Guest are viewing this topic.

Spainenins

  • Mosquito
  • Posts: 3
vla-addhatch message "Hatch boundary associativity removed."
« on: November 27, 2023, 09:24:40 AM »
Been trying to create non-associative hatches using vla- functions. The hatches are created fine, but this message always appears in the command line, which is annoying. Any way to do this without the message?
It's not a big problem, but when creating 20 hatches, it can potentially drown out important messages.
My code essentially boils down to:
Code - Auto/Visual Lisp: [Select]
  1. ;space = modelspace as vla-object
  2. ;lwplobj = lightweight polyline (closed) as vla-object
  3.  
  4. (setq hobj (vla-addhatch space acHatchPatternTypePredefined "ANGLE" :vlax-false))
  5. (setq outer_border (vlax-make-safearray vlax-vbobject (cons 0 1)))
  6. (vlax-safearray-fill outer_border lwplobj)
  7. (vla-AppendOuterLoop hobj outer_border);after this the message appears
  8.  
Shouldn't the ":vlax-false" already turn the associativity off at the moment of creation? Why is it removed when I attach the border?